%define ver 0.1.15
%define rel 2mdk

%define prefix %{_prefix}

Summary: library to support Bi-directional scripts
Name: fribidi
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System/Libraries
#Icon: 
Source: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/fribidi-%{ver}.tar.bz2
URL: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/
BuildRoot: %{_tmppath}/%{name}
Requires: libfribidi0 = %{ver}

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n libfribidi0 
Summary: Library implementing the Unicode BiDi algorithm
Group: Development/C
Requires: fribidi = %{ver}

%package -n libfribidi0-devel
Summary: Library implementing the Unicode BiDi algorithm
Group: Development/C
Provides: libfribidi-devel
Requires: fribidi = %{ver}
Requires: libfribidi0 = %{ver}

%description -n libfribidi0
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%description -n libfribidi0-devel
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%changelog
* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-2mdk
- fixed Requires

* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-1mdk
- new lib policy
- updated to 0.1.15

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.12-1mdk
- new and shiny version.
- macros and _tmppath.

* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-1mdk
- New Group: naming
- updated to 0.1.9
- splitted in a -devel rpm; to make it compatible with the rpms in
  the http://www.pango.org/ site

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.8-1mdk
- updated to 0.1.8

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-3mdk
- Use %configure.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

%prep
%setup

%build
if [ ! -x ./configure ];then 
./autoconf.sh --prefix=%{prefix} --sysconfdir=/etc
else
%configure --sysconfdir=/etc
fi
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%post -n libfribidi0 -p /sbin/ldconfig

%postun -n libfribidi0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO THANKS NEWS
%{_bindir}/*

%files -n libfribidi0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n libfribidi0-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
